Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface Hierarchical

All Known Subinterfaces:
  AbstractAuthoringTemplate, AuthoringTemplate, Category, Content, EditableLibraryComponent, Folder, HierarchicalTemplate, LibraryAuthoringToolsComponent, LibraryComponent, LibraryDateComponent, LibraryDocumentManagerComponent, LibraryFileComponent, LibraryHTMLComponent, LibraryImageComponent, LibraryJSPComponent, LibraryLinkComponent, LibraryListPresentationComponent, LibraryMenuComponent, LibraryNavigatorComponent, LibraryNumericComponent, LibraryPageNavigationComponent, LibraryPersonalizationComponent, LibraryReferenceComponent, LibraryRichTextComponent, LibrarySearchComponent, LibraryShortTextComponent, LibraryStyleSheetComponent, LibraryTaxonomyComponent, LibraryTextComponent, LibraryUserNameComponent, LibraryUserSelectionComponent, PortalPage, PresentationTemplate, Site, SiteArea, SiteAreaTemplate

    public interface Hierarchical

Interface for WCM Document Types that are stored under a hierarchy of either `SiteArea`s or `Folder`s.

Method Summary
`DocumentId` | `getParentId()` Returns the `DocumentId` of the parent of this object.

Method Detail

### getParentId

    DocumentId getParentId()

  Returns the `DocumentId` of the parent of this object.

  The `DocumentId` type returned will depend on the item type. For a category, this may be for a `Taxonomy` object or a `Category` object, depending on where this `Category` lies in the category tree. For a `SiteArea`, the parent may be a `Site` or another `SiteArea`. For `Content`, the parent will be a `SiteArea`. For a `Folder`, `AuthoringTemplate`, `PresentationTemplate` or `LibraryComponent`, the parent will be a `Folder`.``

  This method will return `null` if the user does not have access to the parent.

  This method will return `null` for a document that has not yet been saved, if the parent has not yet been set. If the parent has been set, then the `DocumentId` of the parent of this object will be returned.

  This method will return `null` for both unsaved and saved documents if the document is directly under a library preset folder, for example, if it is a top level site area, folder, authoring template, presentation template or library component.

  Returns:
    the `DocumentId` of the parent.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD